System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeExpression System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent code that declares a parameter for a method, property, or constructor.

The property specifies the name of the parameter. The property specifies the data type of the parameter. The property specifies the direction modifier of the parameter. The property specifies the attributes associated with the parameter.

Represents a parameter declaration for a method, property, or constructor.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified parameter type and name.

  An object that indicates the type of the parameter to declare.
  The name of the parameter to declare.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If the parameter references a generic type, it must follow the syntax conventions for generic types. Generic types are formatted as follows: the name of the type, followed by a grave accent ("`"), followed by a count of the generic type arguments, followed by the parameters delimited with brackets.

  You must use square brackets ([]) and not the C# angle brackets (<>) to delimit generic parameters.

  To avoid the possibility of making a syntactic mistake, consider using the constructor that takes a type instead of a string as a parameter.

  Initializes a new instance of the class using the specified parameter type and name.

  The type of the parameter to declare.
  The name of the parameter to declare.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified parameter type and name.

  The type of the parameter to declare.
  The name of the parameter to declare.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeAttributeDeclarationCollection To be added: an object of type 'CodeAttributeDeclarationCollection' To be added

  Gets or sets the custom attributes for the parameter declaration.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.FieldDirection To be added: an object of type 'FieldDirection' To be added

  Gets or sets the direction of the field.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeReference To be added: an object of type 'CodeTypeReference' To be added

  Gets or sets the type of the parameter.